Name:          bogofilter
Version:       1.2.5
Release:       2mamba
Summary:       Fast anti-spam filtering by Bayesian statistical analysis
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://bogofilter.sourceforge.io/
Source:        https://sourceforge.net/projects/bogofilter/files/bogofilter-stable/bogofilter-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libdb53-devel
BuildRequires: libgsl-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: flex
BuildRequires: xmlto

%description
Bogofilter is a mail filter that classifies mail as spam or ham (non-spam) by a statistical analysis of the message's header and content (body). The program is able to learn from the user's classifications and corrections.

%package -n bogoupgrade
Summary:       Upgrades bogofilter database to current version
Group:         System/Tools
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n bogoupgrade
bogoupgrade is a command to upgrade bogofilter’s databases from an old format to the current format. Since the format of the database changes once in a while, the utility is designed to make the upgrade easy.
bogoupgrade is in an extra package to remove the perl dependency on the main bogofilter package.

%prep
%setup -q

iconv -f iso-8859-1 -t utf-8 doc/bogofilter-faq-fr.html > doc/bogofilter-faq-fr.html.utf8
mv -f doc/bogofilter-faq-fr.html.utf8 doc/bogofilter-faq-fr.html

%build
%configure \
 	--disable-rpath

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

mv -f %{buildroot}%{_sysconfdir}/bogofilter.cf.example %{buildroot}%{_sysconfdir}/bogofilter.cf

mkdir -p rpm-doc/xml/ rpm-doc/html/
install -m 644 doc/*.xml rpm-doc/xml/
install -m 644 doc/*.html rpm-doc/html/

chmod -x contrib/*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/bogofilter.cf
%{_bindir}/bf_compact
%{_bindir}/bf_copy
%{_bindir}/bf_tar
%{_bindir}/bogofilter
%{_bindir}/bogolexer
%{_bindir}/bogotune
%{_bindir}/bogoutil
%{_mandir}/man1/bf_compact.1*
%{_mandir}/man1/bf_copy.1*
%{_mandir}/man1/bf_tar.1*
%{_mandir}/man1/bogofilter.1*
%{_mandir}/man1/bogolexer.1*
%{_mandir}/man1/bogotune.1*
%{_mandir}/man1/bogoutil.1*
%doc AUTHORS COPYING

%files -n bogoupgrade
%defattr(-,root,root)
%{_bindir}/bogoupgrade
%{_mandir}/man1/bogoupgrade.1*

%changelog
* Mon Dec 11 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.5-2mamba
- rebuilt with current libgsl

* Sat Oct 26 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.5-1mamba
- update to 1.2.5

* Sun Jul 07 2013 Automatic Build System <autodist@mambasoft.it> 1.2.4-1mamba
- automatic version update by autodist

* Fri Apr 12 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.3-1mamba
- update to 1.2.3

* Mon Sep 20 2010 gil <puntogil@libero.it> 1.2.1-1mamba
- package created by autospec
